#!/bin/sh

set -eu

umask 022

PATH="/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin"

if [ "$(uname -s)" = "OpenBSD" ]; then
    OUTDIR="/var/db/node-exporter"
else
    OUTDIR="/var/lib/prometheus/node-exporter"
fi

for script in /usr/local/libexec/node-exporter/*; do
    [ -x "$script" ] || continue
    target="${OUTDIR}/$(basename "$script")"
    tmpfile="$(mktemp -p "$OUTDIR")"
    if "$script" > "$tmpfile" ; then
        mv "$tmpfile" "$target"
    else
        rm -f "$tmpfile"
    fi
done
